From df06fa65530f86185ec1b2e341172c543ba91061 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Fri, 6 Feb 2009 17:53:25 +0530
Subject: [PATCH] xorg-x11-server: Include ARM support.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 xorg-x11-server.spec |   21 +++++++++++++++++----
 1 files changed, 17 insertions(+), 4 deletions(-)
 mode change 100644 => 100755 xorg-x11-server.spec

diff --git a/xorg-x11-server.spec b/xorg-x11-server.spec
old mode 100644
new mode 100755
index 5c7d85f..6b51b6a
--- a/xorg-x11-server.spec
+++ b/xorg-x11-server.spec
@@ -19,7 +19,7 @@
 Summary:   X.Org X11 X server
 Name:      xorg-x11-server
 Version:   1.5.3
-Release:   5%{?dist}
+Release:   5%{?dist}.fa1
 URL:       http://www.x.org
 License:   MIT
 Group:     User Interface/X
@@ -93,12 +93,18 @@ Patch6004: xserver-1.5.3-AEI-on-by-default.patch
 %define drimoduledir	%{_libdir}/dri
 %define sdkdir		%{_includedir}/xorg
 
-%ifarch s390 s390x
+%ifarch s390 s390x %{arm}
 %define with_hw_servers 0
 %else
 %define with_hw_servers 1
 %endif
 
+%ifarch %{arm}
+%define dri_opts --disable-dri --disable-glx --disable-aiglx
+%else
+%define dri_opts --with-dri-driver-path=%{drimoduledir}
+%endif
+
 %if %{with_hw_servers}
 %define enable_xorg --enable-xorg
 %else
@@ -140,7 +146,10 @@ BuildRequires: mesa-libGL-devel >= 7.1-0.37
 # should be useless now...
 # BuildRequires: mesa-source >= 7.1-0.36
 # XXX silly...
-BuildRequires: libdrm-devel >= 2.4.0 kernel-devel
+BuildRequires: libdrm-devel >= 2.4.0
+%ifnarch %{arm}
+BuildRequires: kernel-devel
+%endif
 %if %{with_hw_servers}
 Requires: libdrm >= 2.4.0
 %endif
@@ -327,7 +336,7 @@ export CFLAGS="${RPM_OPT_FLAGS} -Wstrict-overflow -rdynamic $CFLAGS"
 	--disable-record --disable-xtrap \
 	--enable-install-libxf86config \
 	--enable-xselinux \
-	--with-dri-driver-path=%{drimoduledir} \
+	%{dri_opts} \
 	--disable-dri2 \
 	${CONFIGURE}
 
@@ -378,6 +387,10 @@ xargs tar cf - | (cd %{inst_srcdir} && tar xf -)
     rm -f $RPM_BUILD_ROOT%{_bindir}/pcitweak
     rm -f $RPM_BUILD_ROOT%{_mandir}/man1/pcitweak.1*
     find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :
+%ifarch %{arm}
+    rm -f $RPM_BUILD_ROOT%{_libdir}/pkgconfig/xorg-server.pc
+    rm -f $RPM_BUILD_ROOT%{_datadir}/aclocal/xorg-server.m4
+%endif
 }
 
 %clean
-- 
1.5.3.3

